%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check

%global crate sha1collisiondetection

Name:           rust-sha1collisiondetection
Version:        0.3.4
Release:    1%{?dist}
Summary:        SHA-1 hash function with collision detection and mitigation

License:        MIT
URL:            https://crates.io/crates/sha1collisiondetection
Source0:         %{crates_source}
Patch:          sha1collisiondetection-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
SHA-1 hash function with collision detection and mitigation.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        MIT AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc MAINTENANCE.md
%doc README.md
%{_bindir}/sha1cdsum

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.txt
%doc %{crate_instdir}/MAINTENANCE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap_mangen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap_mangen-devel %{_description}

This package contains library source intended for building other packages which
use the "clap_mangen" feature of the "%{crate}" crate.

%files       -n %{name}+clap_mangen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+const-oid-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+const-oid-devel %{_description}

This package contains library source intended for building other packages which
use the "const-oid" feature of the "%{crate}" crate.

%files       -n %{name}+const-oid-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+digest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-devel %{_description}

This package contains library source intended for building other packages which
use the "digest" feature of the "%{crate}" crate.

%files       -n %{name}+digest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+digest-trait-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-trait-devel %{_description}

This package contains library source intended for building other packages which
use the "digest-trait" feature of the "%{crate}" crate.

%files       -n %{name}+digest-trait-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+oid-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+oid-devel %{_description}

This package contains library source intended for building other packages which
use the "oid" feature of the "%{crate}" crate.

%files       -n %{name}+oid-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f clap

%build
%cargo_build -f clap
%{cargo_license_summary -f clap}
%{cargo_license -f clap} > LICENSE.dependencies

%install
%cargo_install -f clap

%if %{with check}
%check
%cargo_test -f clap
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.4-1
- initial build
